Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFile.Permission

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QFile.Permission

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFile

    public static final class QFile.Permission

extends java.lang.Enum
implements QtEnumerator

This enum is used by the permission() function to report the permissions and ownership of a file. The values may be OR-ed together to test multiple permissions and ownership values. Warning: Because of differences in the platforms supported by Qt, the semantics of `ReadUser` , `WriteUser` and `ExeUser` are platform-dependent: On Unix, the rights of the owner of the file are returned and on Windows the rights of the current user are returned. This behavior might change in a future Qt version.

See Also:
  Serialized Form

Field Summary
`static QFile.Permission` | `ExeGroup` The file is executable by the group.
`static QFile.Permission` | `ExeOther` The file is executable by anyone.
`static QFile.Permission` | `ExeOwner` The file is executable by the owner of the file.
`static QFile.Permission` | `ExeUser` The file is executable by the user.
`static QFile.Permission` | `ReadGroup` The file is readable by the group.
`static QFile.Permission` | `ReadOther` The file is readable by anyone.
`static QFile.Permission` | `ReadOwner` The file is readable by the owner of the file.
`static QFile.Permission` | `ReadUser` The file is readable by the user.
`static QFile.Permission` | `WriteGroup` The file is writable by the group.
`static QFile.Permission` | `WriteOther` The file is writable by anyone.
`static QFile.Permission` | `WriteOwner` The file is writable by the owner of the file.
`static QFile.Permission` | `WriteUser` The file is writable by the user.

Method Summary
`static QFile.Permissions` | `createQFlags(QFile.Permission[] values)` This function creates a com.trolltech.qt.core.QFile$Permissions with the specified `com.trolltech.qt.core.QFile$Permission[]` QFile$Permission values set.
`static QFile.Permission` | `resolve(int value)` Returns the QFile$Permission constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFile.Permission` | `valueOf(java.lang.String name)`
`static QFile.Permission[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ReadOwner

    public static final QFile.Permission ReadOwner

  The file is readable by the owner of the file.

### WriteOwner

    public static final QFile.Permission WriteOwner

  The file is writable by the owner of the file.

### ExeOwner

    public static final QFile.Permission ExeOwner

  The file is executable by the owner of the file.

### ReadUser

    public static final QFile.Permission ReadUser

  The file is readable by the user.

### WriteUser

    public static final QFile.Permission WriteUser

  The file is writable by the user.

### ExeUser

    public static final QFile.Permission ExeUser

  The file is executable by the user.

### ReadGroup

    public static final QFile.Permission ReadGroup

  The file is readable by the group.

### WriteGroup

    public static final QFile.Permission WriteGroup

  The file is writable by the group.

### ExeGroup

    public static final QFile.Permission ExeGroup

  The file is executable by the group.

### ReadOther

    public static final QFile.Permission ReadOther

  The file is readable by anyone.

### WriteOther

    public static final QFile.Permission WriteOther

  The file is writable by anyone.

### ExeOther

    public static final QFile.Permission ExeOther

  The file is executable by anyone.

Method Detail

### values

    public static QFile.Permission[] values()

### valueOf

    public static QFile.Permission valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFile.Permissions createQFlags(QFile.Permission[] values)

  This function creates a com.trolltech.qt.core.QFile$Permissions with the specified `com.trolltech.qt.core.QFile$Permission[]` QFile$Permission values set.

### resolve

    public static QFile.Permission resolve(int value)

  Returns the QFile$Permission constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD